UnitType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Enum UnitType

- java.lang.Object
- - java.lang.Enum<UnitType>
  - - tv.amwa.maj.io.mxf.UnitType

- All Implemented Interfaces:
    Serializable, Comparable<UnitType>

      public enum UnitType
      extends Enum<UnitType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BodyClosedCompletePartitionPack`
    `BodyClosedIncompletePartitionPack`
    `BodyOpenCompletePartitionPack`
    `BodyOpenIncompletePartitionPack`
    `ContentPackageData`
    `ContentPackageEssenceElement`
    `ContentPackagePicture`
    `ContentPackageSound`
    `ContentPackageSystemItem`
    `FooterClosedCompletePartitionPack`
    `FooterClosedIncompletePartitionPack`
    `GenericContainerCompound`
    `GenericContainerData`
    `GenericContainerEssenceElement`
    `GenericContainerPicture`
    `GenericContainerSound`
    `GenericContainerSystemItem`
    `HeaderClosedCompletePartitionPack`
    `HeaderClosedIncompletePartitionPack`
    `HeaderMetadata`
    `HeaderOpenCompletePartitionPack`
    `HeaderOpenIncompletePartitionPack`
    `IndexTableSegment`
    `RandomIndexPack`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnitType` | `typeFromKey(UL key)`
    `static UnitType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnitType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final UnitType Unknown

    - #### HeaderClosedCompletePartitionPack

          public static final UnitType HeaderClosedCompletePartitionPack

    - #### HeaderClosedIncompletePartitionPack

          public static final UnitType HeaderClosedIncompletePartitionPack

    - #### HeaderOpenCompletePartitionPack

          public static final UnitType HeaderOpenCompletePartitionPack

    - #### HeaderOpenIncompletePartitionPack

          public static final UnitType HeaderOpenIncompletePartitionPack

    - #### BodyClosedCompletePartitionPack

          public static final UnitType BodyClosedCompletePartitionPack

    - #### BodyClosedIncompletePartitionPack

          public static final UnitType BodyClosedIncompletePartitionPack

    - #### BodyOpenCompletePartitionPack

          public static final UnitType BodyOpenCompletePartitionPack

    - #### BodyOpenIncompletePartitionPack

          public static final UnitType BodyOpenIncompletePartitionPack

    - #### FooterClosedCompletePartitionPack

          public static final UnitType FooterClosedCompletePartitionPack

    - #### FooterClosedIncompletePartitionPack

          public static final UnitType FooterClosedIncompletePartitionPack

    - #### HeaderMetadata

          public static final UnitType HeaderMetadata

    - #### IndexTableSegment

          public static final UnitType IndexTableSegment

    - #### GenericContainerEssenceElement

          public static final UnitType GenericContainerEssenceElement

    - #### GenericContainerSystemItem

          public static final UnitType GenericContainerSystemItem

    - #### GenericContainerPicture

          public static final UnitType GenericContainerPicture

    - #### GenericContainerSound

          public static final UnitType GenericContainerSound

    - #### GenericContainerData

          public static final UnitType GenericContainerData

    - #### GenericContainerCompound

          public static final UnitType GenericContainerCompound

    - #### ContentPackageEssenceElement

          public static final UnitType ContentPackageEssenceElement

    - #### ContentPackageSystemItem

          public static final UnitType ContentPackageSystemItem

    - #### ContentPackagePicture

          public static final UnitType ContentPackagePicture

    - #### ContentPackageSound

          public static final UnitType ContentPackageSound

    - #### ContentPackageData

          public static final UnitType ContentPackageData

    - #### RandomIndexPack

          public static final UnitType RandomIndexPack

  - ### Method Detail

    - #### values

          public static UnitType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnitType c : UnitType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnitType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### typeFromKey

          public static final UnitType typeFromKey(UL key)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.